// @APIVersion 1.0.0
// @Title oc-shared
// @Description Manages shared workspaces and their synchronization
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License MIT
// @LicenseUrl https://opensource.org/license/mit
package routers

import (
	"oc-shared/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc",
		beego.NSNamespace("/shared/workspace",
			beego.NSInclude(
				&controllers.SharedWorkspaceController{},
			),
		),
		beego.NSNamespace("/shared/workspace/rule",
			beego.NSInclude(
				&controllers.RuleController{},
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
